cancel
Showing results for 
Search instead for 
Did you mean: 

Magento 1.3.2.4 to 1.9

Magento 1.3.2.4 to 1.9

Hi guys I have been trying hard to upgrade a magento 1.3.2.4 to magento 1.9 but it is not playing ball: it keeps saying that the base tables already exists. In particular these are: index_event, index_process_event and etc. I have attempted the following but no luck.

Go to the core_resource table and update the version values with the ones shown in the report trace. But this just then goes onto the next error.

Go to the relevant sql file and add a drop if exists line. But, now it is just stuck on the report page, whilst the tab shows connecting with the activity circle spinning.

Please help!!!!! I just want to get the magento upgraded. I'd not fussed about no theme or anything. I have made a new theme in 1.9 which will be used once this magento has been upgraded. I just want to keep order history, product info, and customer info.

 

Also, I know directly not possible and I have attempted to upgrade to 1.4 and 1.7 but still not working. Any help please ?

Tags (1)
13 REPLIES

Re: Magento 1.3.2.4 to 1.9

Look, there's no way that you can easily upgrade Magento from 1.3 to the current version -- it's almost as big gap as the one between Magento 1 and Magento 2. Tables, themes, extensions .. pretty much everything has been rendered incompatible over time.

Tanel Raja

Re: Magento 1.3.2.4 to 1.9

I have managed to get it to 1.7 but with a lot of errors. Currently stuck on trying to edit a product, but when I click on a product to edit, it just goes to white screen.

Re: Magento 1.3.2.4 to 1.9

You'll have to put it into developer mode and turn on all error reporting and logging. This all is best done on a test server till you weed out all the problems before committing live.

 

http://magento.stackexchange.com/questions/428/fundamentals-for-debugging-a-magento-store

Re: Magento 1.3.2.4 to 1.9

@chiefair Sorry forgot to mention developer mode is on, and as per best practice I am working on a test server.

 

Since Iv'e posted this iv'e identified that my error on this particular situation so far is:

 

Warning: include(Mage/Payfilter/Model/Config.php): failed to open stream: No such file or directory  in /var/www/html/magento/fresh/magento1.7/lib/Varien/Autoload.php on line 93

 

Re: Magento 1.3.2.4 to 1.9

@chiefair @Pronto I have managed to fix the error from aboveby deleting the record for payment filter in eav_attribute. Backend thus far seems to be operating well apart from the fact that the order history is not there. 

 

Checking the database it is in sales_order but they have not been placed into the sales_flat_order. How can I get them into the new tables? 

Re: Magento 1.3.2.4 to 1.9

That should have happened on a conversion from 1.3.x to 1.4.1.1 if I remember right

 

Major database conversions happen at 1.4.2.0, 1.5.1.0 and 1.6.2.0 with everything afterwards being mostly compatible with relatively minor changes that easily pass through without throwing database errors for most people.

 

Back in the day, I had to convert from 1.3.x to 1.4.1.1 and then 1.4.2.0 as 1.4.2.0 due to the major changes, actually should have been 1.5.0.0

 

Not sure if this will be a help as it kind of requires a step back.

Re: Magento 1.3.2.4 to 1.9

@chiefair currently on a test environment so easily could roll back to 1.3.2.4, and go through it all if needs must. But, I have upgraded from 1.3.2.4 to 1.7. So, if I did go back and did:

 

1.3.2.4 to 1.4.1.1 then 1.4.2.0 then 1.5 then 1.7 then 1.9, would this upgrade path then result in my orders being kept ?

Re: Magento 1.3.2.4 to 1.9

All this conversion was done years ago so I can only go on what the results seemed to be.

 

Since I run on VMs for this, I'd clone the test server, roll it back and try upgrading to 1.4.1.1 and then 1.4.2.0 at least and then testing to make sure the flat file conversion happens. After this, you might try a direct conversion to 1.9

 

I know that the conversion from 1.6.2.0 to 1.9.x seems to go pretty flawlessly.

 

sales_flat_order* table system was introduced in 1.4.1.1

Re: Magento 1.3.2.4 to 1.9

@chiefair Thank you for your insightful reply, I shall go forth and try a incremental upgrade.